. ./ranger-env.sh

DST_PATH=${HDP_PATH}/ranger-admin/ews/webapp/WEB-INF/classes/ranger-plugins/indexima


echo "Checking (${DST_PATH})"

if [ ! -d ${DST_PATH} ] ; then
	echo "Creating (${DST_PATH})"
	mkdir ${DST_PATH};
	if [ $? != 0 ] ; then 
		echo "unable to create ${DST_PATH}"
		exit 1
	fi
fi

echo "Copying indexima ranger plugin jar to (${DST_PATH})"

cp ../*.jar ${DST_PATH}

if [ $? != 0 ] ; then 
	echo "unable to copy jar files to ${DST_PATH}"
	exit 2
fi
 

echo "Sending installation request to ranger server (${RANGER_SERVER})"

curl -k -u ${RANGER_ADMIN}:${RANGER_PASSWORD} -X POST -H "Accept: application/json" -H "Content-Type: application/json" --data @./ranger-servicedef-indexima.json ${RANGER_SERVER}/service/plugins/definitions
 
if [ $? != 0 ] ; then 
 	echo "unable to activate indexima plugin for ranger"
 	exit 3
fi

echo "INSTALL DONE: please check the indexima section in ranger service manager"


